Package jebl.evolution.graphs

# Interface Edge

All Superinterfaces:
  `Attributable`

All Known Implementing Classes:
  `BaseEdge`

public interface Edge extends Attributable
Represents a node in a graph or tree. In general it is used only as a handle to traverse a graph or tree structure and it has no methods or instance variables.

Version:
  $Id: Edge.java 295 2006-04-14 14:59:10Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

## Nested classes/interfaces inherited from interface jebl.util.Attributable

`Attributable.Utils`

## Method Summary

Modifier and Type
Method
Description
`double`
`getLength()`

### Methods inherited from interface jebl.util.Attributable

`getAttribute, getAttributeMap, getAttributeNames, removeAttribute, setAttribute`

## Method Details

### getLength

double getLength()